/*
---------------------------------------------------------
INPUTFÄLT
--------------------------------------------------------- */

input[type=text],
input[type=email],
input[type=url],
input[type=tel],
input[type=number],
input[type=date],
input[type=password],
textarea,
.sv-defaultFormTheme input[type=text],
.sv-defaultFormTheme input[type=email],
.sv-defaultFormTheme input[type=url],
.sv-defaultFormTheme input[type=tel],
.sv-defaultFormTheme input[type=number],
.sv-defaultFormTheme input[type=password],
.sv-defaultFormTheme textarea,
.sv-defaultFormTheme select {
  border: solid 1px #dcdcdc;
  box-sizing: border-box;
  font-size: 1.6rem;
  line-height: 2.0rem;
  padding: 10px 15px;
  width: 100%;
  /*margin-bottom: 20px;*/

  -webkit-appearance: none;
}

select {
  border: solid 1px #dcdcdc;
  box-sizing: border-box;
  font-size: 1.6rem;
  line-height: 2.0rem;
  padding: 10px 15px;
  width: 100%;
}

input[type=text]:hover,
input[type=email]:hover,
input[type=url]:hover,
input[type=tel]:hover,
input[type=number]:hover,
input[type=password]:hover,
textarea:hover,
select:hover,
.sv-defaultFormTheme input[type=text]:hover,
.sv-defaultFormTheme input[type=email]:hover,
.sv-defaultFormTheme input[type=url]:hover,
.sv-defaultFormTheme input[type=tel]:hover,
.sv-defaultFormTheme input[type=number]:hover,
.sv-defaultFormTheme input[type=password]:hover,
.sv-defaultFormTheme textarea:hover,
.sv-defaultFormTheme select:hover {
  background-color: #fff;
  border: 1px solid #999;
}

input[type=text]:focus,
input[type=email]:focus,
input[type=url]:focus,
input[type=date]:focus,
input[type=tel]:focus,
input[type=number]:focus,
input[type=password]:focus,
textarea:focus,
select:focus,
.sv-defaultFormTheme input[type=text]:focus,
.sv-defaultFormTheme input[type=email]:focus,
.sv-defaultFormTheme input[type=url]:focus,
.sv-defaultFormTheme input[type=tel]:focus,
.sv-defaultFormTheme input[type=date]:focus,
.sv-defaultFormTheme input[type=number]:focus,
.sv-defaultFormTheme input[type=password]:focus,
.sv-defaultFormTheme textarea:focus,
.sv-defaultFormTheme select:focus {
  border: 1px solid #999;
  outline: none;
}


/* Reset på SiteVision's inline style */
.sv-defaultFormTheme input[type=text],
.sv-defaultFormTheme input[type=email],
.sv-defaultFormTheme input[type=url],
.sv-defaultFormTheme input[type=tel],
.sv-defaultFormTheme input[type=number],
.sv-defaultFormTheme input[type=password],
.sv-defaultFormTheme textarea,
.sv-defaultFormTheme select {
  border-radius: 0;
  box-shadow: none;
  height: auto;
  -webkit-transition: none;
  transition: none;
}

.sv-defaultFormTheme input[type=text]:focus,
.sv-defaultFormTheme input[type=email]:focus,
.sv-defaultFormTheme input[type=url]:focus,
.sv-defaultFormTheme input[type=tel]:focus,
.sv-defaultFormTheme input[type=date]:focus,
.sv-defaultFormTheme input[type=number]:focus,
.sv-defaultFormTheme input[type=password]:focus,
.sv-defaultFormTheme textarea:focus,
.sv-defaultFormTheme select:focus {
  box-shadow: none;
  outline-style: none;
}


/*
---------------------------------------------------------
KNAPPAR
--------------------------------------------------------- */

button,
.lp-button,
input[type='button'],
input[type='submit'],
input[type='reset'],
.sv-defaultFormTheme input[type=button],
.sv-defaultFormTheme input[type=submit],
.sv-defaultFormTheme input[type=reset],
.sv-decoration-knapp a {
  background-color: #002f6d;
  border: 0;
  border-radius: 5px;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-size: 1.6rem;
  font-weight: 600;
  /*box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.4);*/
  padding: 13px 20px;
  text-decoration: none;

  -webkit-appearance: none;
}


button:hover,
.lp-button:hover,
input[type='button']:hover,
input[type='submit']:hover,
input[type='reset']:hover,
.lp-button:focus,
button:focus,
input[type='button']:focus,
input[type='submit']:focus,
input[type='reset']:focus,
.sv-defaultFormTheme input[type=button]:hover,
.sv-defaultFormTheme input[type=submit]:hover,
.sv-defaultFormTheme input[type=reset]:hover,
.sv-defaultFormTheme input[type=button]:focus,
.sv-defaultFormTheme input[type=submit]:focus,
.sv-defaultFormTheme input[type=reset]:focus,
.sv-decoration-knapp a:hover,
.sv-decoration-knapp a:focus {
  background-color: #005fa3;
  color: #fff;
  outline: none;
  text-decoration: none;
}


/* Reset på SiteVision's inline style */
.sv-defaultFormTheme input[type=button]:active,
.sv-defaultFormTheme input[type=submit]:active,
.sv-defaultFormTheme input[type=reset]:active,
button:active {
  box-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.4);
}


/* Fix för att ta bort plattformspecifik styling */
button,
input[type='button'],
input[type='submit'],
input[type='reset'],
.sv-defaultFormTheme input[type=button],
.sv-defaultFormTheme input[type=submit],
.sv-defaultFormTheme input[type=reset] {
  -webkit-appearance: none;
}

input[type='submit']::-moz-focus-inner,
.sv-defaultFormTheme input[type=submit]::-moz-focus-inner {
  border: 0; /* fix för felaktig höjd i Firefox */
}

button::-moz-focus-inner,
.sv-defaultFormTheme input[type=button]::-moz-focus-inner {
  border: 0;
  padding: 0;
}

.lp-button--pink {
  background-color: #c33a81;
  color: #fff;
  transition: all 0.2s ease;
}

.lp-button--pink:hover,
.lp-button--pink:focus {
  background-color: #a8326f;
  color: #fff;
}

.lp-button--pink:active {
  box-shadow: inset 0 2px 4px 0 rgba(0, 0, 0, 0.4);
}

.lp-button--green {
  background-color: #5d8100;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
  color: #fff;
  transition: all 0.2s ease;
}

.lp-button--green:hover,
.lp-button--green:focus {
  background-color: #4b6900;
  color: #fff;
}

.lp-button--green:active {
  box-shadow: inset 0 2px 4px 0 #384f00;
}

/*
---------------------------------------------------------
DATUMFÄLT
--------------------------------------------------------- */

input[type='date'] {
  min-width: 0; /* Fix för Safari i mobil */
  width: -webkit-fill-available; /* Fix för Safari i mobil */
  max-width: 100%;
}

input[type='date']::-webkit-date-and-time-value {
  text-align: left;
}

